#
# spec file for package rubygem-hashdiff
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-hashdiff
Version:        1.1.1
Release:        1.1
%define mod_name hashdiff
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/liufengyun/hashdiff
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Hashdiff is a diff lib to compute the smallest difference between
License:        MIT

%description
Hashdiff is a diff lib to compute the smallest difference between two hashes.
.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE README.md changelog.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.1.1, see bundled changelog.md
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- ## v1.1.0 2020-02-25
  * Add ignore_keys option (#86 @Matzfan)
  * Remove pinned version of rake < 11
  * Bump rspec dep ~> 3.5
  * Bump rubocop dep >= 1.52.1
  * Bump rubocop-rspec dep > 1.16.0
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.0.1
  see installed changelog.md
  [#]# v1.0.1 2020-02-25
  * Add indifferent option
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.0.0
  see installed changelog.md
  [#]# v1.0.0 2019-06-06
  * Fix typo in readme (#72 @koic)
  * Fix Rubocop offence (#73 @koic)
  * Bumps version to v1.0.0 (#74 @jfelchner)
  [#]# v1.0.0.beta1 2019-06-06
  * fix warnings in ci (#69 @y-yagi)
  * drop warnings of the constant change (#70 @jfelchner)
  [#]# v0.4.0 2019-05-28
  * refactoring (#56 #57 #59 #61 krzysiek1507)
  * fix typo in README (#64 @pboling)
  * change HashDiff to Hashdiff (#65 @jfelchner)
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.3.9
  see installed changelog.md
  [#]# v0.3.9 2019-04-22
  * Performance tweak (thanks @krzysiek1507: #51 #52 #53)
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.3.8
  see installed changelog.md
  [#]# v0.3.8 2018-12-30
  * Add Rubocop and drops Ruby 1.9 support #47
* Mon Oct  9 2017 mschnitzer@suse.com
- updated to version 0.3.7
  * remove 1.8.7 support from gemspec #39
* Sun Sep  3 2017 coolo@suse.com
- updated to version 0.3.6
  see installed changelog.md
  [#]# v0.3.6 2017-08-22
  * add option `use_lcs` #35
  [#]# v0.3.5 2017-08-06
  * add option `array_path` #34
* Tue May 23 2017 coolo@suse.com
- updated to version 0.3.4
  see installed changelog.md
  [#]# v0.3.4 2017-05-01
  * performance improvement of HashDiff#similar? #31
* Wed Dec 28 2016 coolo@suse.com
- updated to version 0.3.2
  see installed changelog.md
  [#]# v0.3.2 2016-12-27
  * replace `Fixnum` by `Integer` #28
* Fri Nov 25 2016 coolo@suse.com
- updated to version 0.3.1
  see installed changelog.md
  [#]# v0.3.1 2016-11-24
  * fix an error when a hash has mixed types #26
* Thu Jun 23 2016 coolo@suse.com
- initial package
